"No space left on device" with Groceries app


#1

Hi,
I followed the NativeScript tutorial with Angular: https://docs.nativescript.org/angular/tutorial/ng-chapter-0
Everything was working fine. Then I updated all tools to the latest versions, and now the app runs out of space, even after wiping data of the device. See the output in the attached png file (it didn’t fit into the ticket description field).
I’m using a “Galaxy Nexus API 27” emulator.
Can someone see what’s wrong?
Martin

martin@martin-Latitude-E6540:~/code/apps/nativescript/Groceries$ lsb_release -a
No LSB modules are available.
Distributor ID:	Ubuntu
Description:	Ubuntu 16.04.4 LTS
Release:	16.04
Codename:	xenial
martin@martin-Latitude-E6540:~/code/apps/nativescript/Groceries$ npm --version
5.8.0
martin@martin-Latitude-E6540:~/code/apps/nativescript/Groceries$ tns --version
3.4.3
martin@martin-Latitude-E6540:~/code/apps/nativescript/Groceries$ tns platform list
The project is prepared for:  android
Installed platforms:  android
martin@martin-Latitude-E6540:~/code/apps/nativescript/Groceries$ tns plugin
Dependencies:
┌───────────────────────────────────┬─────────┐
│ Plugin                            │ Version │
│ @angular/animations               │ ~5.2.0  │
│ @angular/common                   │ ~5.2.0  │
│ @angular/compiler                 │ ~5.2.0  │
│ @angular/core                     │ ~5.2.0  │
│ @angular/forms                    │ ~5.2.0  │
│ @angular/http                     │ ~5.2.0  │
│ @angular/platform-browser         │ ~5.2.0  │
│ @angular/platform-browser-dynamic │ ~5.2.0  │
│ @angular/router                   │ ~5.2.0  │
│ email-validator                   │ ^1.1.1  │
│ nativescript                      │ ^4.0.0  │
│ nativescript-angular              │ ~5.2.0  │
│ nativescript-social-share         │ ^1.5.0  │
│ nativescript-theme-core           │ ~1.0.4  │
│ reflect-metadata                  │ ~0.1.8  │
│ rxjs                              │ ~5.5.0  │
│ tns-core-modules                  │ ^4.0.0  │
│ zone.js                           │ ~0.8.4  │
└───────────────────────────────────┴─────────┘
Dev Dependencies:
┌─────────────────────────────┬─────────┐
│ Plugin                      │ Version │
│ babel-traverse              │ 6.26.0  │
│ babel-types                 │ 6.26.0  │
│ babylon                     │ 6.18.0  │
│ lazy                        │ 1.0.11  │
│ nativescript-dev-typescript │ ~0.6.0  │
│ typescript                  │ ~2.6.2  │
└─────────────────────────────┴─────────┘
```![android-error_2018-04-20|78x500](upload://bY9r15L8nhfkWekUkzteuurDlBC.png)![android-error_2018-04-20|78x500](upload://bY9r15L8nhfkWekUkzteuurDlBC.png)

#2

Your emulator virtual disk is probably full. You may need to increase its size in the emulator settings (AVD manager).

Or if you have any other testapps on the device, remove those to clear a bit of space.